/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.api;

import de.srsoftware.tools.Mappable;

public interface Owner extends Mappable {
	public static final String SEPARATOR = ":";
	default String dbCode(){
		return type()+SEPARATOR+id();
	}
	long id();
	String type();
	public Owner resolve();
}
